﻿using System.Collections.Generic;

using IdentityModel;
using IdentityServer4.Models;

namespace TestIdentityServer
{
    /// <summary>
    /// 구성
    /// </summary>
    public static class Configuration
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region API 범위 리스트 구하기 - GetAPIScopeList()

        /// <summary>
        /// API 범위 리스트 구하기
        /// </summary>
        /// <returns>API 범위 리스트</returns>
        public static List<ApiScope> GetAPIScopeList()
        {
            return new List<ApiScope>
            {
                new ApiScope("API1"),
                new ApiScope("API2")
            };
        }

        #endregion
        #region 클라이언트 리스트 구하기 - GetClientList()

        /// <summary>
        /// 클라이언트 리스트 구하기
        /// </summary>
        /// <returns>클라이언트 리스트</returns>
        public static List<Client> GetClientList()
        {
            return new List<Client>
            {
                new Client
                {
                    ClientId            = "CLIENTID0001",
                    ClientSecrets       = { new Secret("CLIENTSECRET0001".ToSha256()) },
                    AllowedGrantTypes   = GrantTypes.ClientCredentials,
                    AllowedScopes       = new List<string> { "API1", "API2" },
                    AccessTokenLifetime = 300
                }
            };
        }

        #endregion
    }
}